Skip to main content
POST
/
agents
/
{agent_id}
/
revisions
/
{build_id}
/
integrations
Attach integration to build
curl --request POST \
  --url https://api.duvo.ai/v1/agents/{agent_id}/revisions/{build_id}/integrations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "integration_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "success": true,
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

agent_id
string<uuid>
required

Agent ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
build_id
string<uuid>
required

Build ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Body

application/json
integration_ids
string<uuid>[]
required

Integration IDs (or custom integration IDs) to attach to the revision

Minimum array length: 1
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Response

Default Response

success
boolean
required

True if integrations were attached

count
number
required

Number of new integrations attached to the revision